<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="120dp"
    android:layout_height="wrap_content"
    android:layout_marginStart="4dp"
    android:layout_marginEnd="4dp"
    android:background="@drawable/bg_shape_recycler_follow_recommend"
    android:paddingBottom="16dp">

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/iv_icon"
        android:layout_width="56dp"
        android:layout_height="56dp"
        android:layout_marginTop="16dp"
        app:gameIconBorderWidth="0.5dp"
        app:gameIconCornerRadius="56dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:layout_height="54dp"
        tools:layout_width="54dp" />

    <TextView
        android:id="@+id/tv_follower_count"
        style="@style/TextCaption1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="12dp"
        android:textColor="@color/text_tertiary"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_icon"
        tools:text="粉丝99+" />

    <TextView
        android:id="@+id/tv_article_count"
        style="@style/TextCaption1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="12dp"
        android:textColor="@color/text_tertiary"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_follower_count"
        tools:text="创作99+" />

    <TextView
        android:id="@+id/tv_sign"
        style="@style/TextCaption1"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="12dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/text_primary"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_follower_count"
        tools:text="个性签名个性签名个性签名" />

    <TextView
        android:id="@+id/tv_follow"
        style="@style/BtnSmallStyle"
        android:layout_width="wrap_content"
        android:layout_height="28dp"
        android:layout_marginTop="16dp"
        android:background="@drawable/bg_common_button_light_fill_blue"
        android:gravity="center"
        android:text="@string/follow"
        android:textColor="@color/primary_theme"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_sign" />
</androidx.constraintlayout.widget.ConstraintLayout>